V5.101.1B
- If Windows prevents the updater from changing files in the current installation folder, the game can now migrate the complete installation to `C:\Tech Tales\Galactic Outlands` and continue the update automatically. Settings, saves, languages, sounds, logs, cache and additional files are preserved without requesting administrator access or changing Windows permissions.
- A new About option is available from the main menu, providing the current game version, Tech Tales Entertainment information, credits, copyright details, access to the Galactic Outlands Telegram group and the donation page.
- The staff list can now be viewed before logging in. Open About from the main menu, choose Staff members, browse a category and select Back to return to the previous menu.
- Opening Options now preserves the main menu state instead of unexpectedly closing the game.
- Pressing B now announces the current zone name directly, making location checks quicker while navigating maps and using the Builder.
- Adjusting ambient or combat volume now announces only the resulting volume percentage, matching the global volume announcement and avoiding repeated category names.
- Choosing a language from the online language menu now always downloads a fresh copy before applying it. Automatic checks at startup and after connecting still avoid unnecessary downloads when the local file is current.
- Online language transfers now share the server network safely with gameplay traffic, improving stability while language files are downloaded.
- Large missions now process spawning, enemy removals and completion checks more efficiently across server cycles. This reduces freezes and connection timeouts while preserving every enemy configured for the mission.
- Connection timeouts are now recognized explicitly, providing a clearer message when the server stops responding.
- Long-running server stability has been improved by releasing completed background save work more efficiently, reducing unnecessary memory growth without changing gameplay or save behavior.

V5.98.0B
- A new F8 setting lets you choose which client logs are saved. You can keep all logs, save only private messages, save only public chats, or turn client log saving off.
- Manual ship movement now behaves more consistently when menus or text inputs are open. Your ship can keep updating movement while the interface is open, and opening a menu during manual flight now makes the ship decelerate normally instead of drifting forever or stopping abruptly.
- Resuming movement during deceleration now continues from the speed you are actually hearing instead of jumping back to the previous maximum speed.
- Opening bridge menus no longer forces an artificial stop or plays an unnecessary deceleration sound.
- Weapon selection with keys 1 through 6 now continues to work in combat mode regardless of the current enemy ship targeting state.
- Cloaked ships can no longer be selected or hit by another player's PVP weapons.
- Enemy ship AI now shares its processing more evenly across mission instances and active sectors, helping ship encounters continue progressing in different areas without removing the existing lag protections.
- Collecting stellar energy while shields are active now costs 5% of the ship's maximum shield, with a minimum cost of 1 shield point.
- First-letter navigation now uses the translated menu text you actually hear or read, so translated menus respond to the first letters of the local language.
- First-letter navigation in menus is more reliable and now works correctly around informational entries in the ship status menu, even when those entries cannot be selected.
- Client menus now open without automatically focusing an item by default, and pending typed characters are cleared before first-letter navigation begins. This prevents keys pressed before a menu opens from unexpectedly choosing an item.
- Closing a text input now clears its keyboard state. This prevents chat, private message or PA messages that end with a period or comma from accidentally switching buffers after the input closes.
- The keyboard echo mode toggled with F2 in client forms is now saved in your settings and restored when the client starts.
- Zone tracking audio now points toward the nearest part of the tracked zone as you move, including while using autowalk. Distance descriptions for tracked zones now use that same nearest point instead of measuring from the zone center.
- When saving an autopilot location that already exists, the client now tells you it was already saved instead of saying it was added again.
- The Builder menu no longer shows the old `maps` folder link. Map selection remains available through `planets` and `stations`.
- Disconnecting or returning to the main menu no longer clears your buffers while the client remains open, so recent history is preserved for reconnects.
- Buffer export now happens when leaving the client from the main menu.
- Ping and pong packets now use reliable delivery, making connection checks more dependable.
- Online language sync now checks whether the server's language file is newer before downloading it. This avoids repeated downloads when your local copy is already up to date.
- The client now keeps local language dates from the language files themselves, without creating extra date files in the user folder.
- Online language sync logs are quieter now, keeping failure and inconsistency messages while removing routine success messages.
- Improved stability in form, network and Builder loops by aligning their wait timing with the rest of the client.

V5.95.0B
- Hidden the Cancel buttons in chat inputs and the Send/Cancel buttons in the optional server restart and shutdown message prompts.
- General chat messages sent by invisible staff now appear under an anonymous staff label.
- Removed the stair/elevator zone requirement for moving up and down inside ships; vertical movement now depends only on a passable platform on the destination floor.
- Fixed PageUp/PageDown movement on external maps with platforms on other floors.
- Replying to or changing the status of tickets, bugs and suggestions no longer closes the detail screen.
- The open ticket, bug or suggestion history now updates when someone else replies or changes the status.
- Fixed multiline virtualizer fields on the client so Enter sends and Shift/Ctrl+Enter inserts a new line, with the send button hidden in multiline fields.
- Admin MOTD editing now uses multiline input.
- Canceling MOTD, restart and shutdown prompts no longer sends the admin action.
- The builder can now manage loaders on individual maps, and nested loaded maps can expose their own loaders.
- General chat, local chat/PA, private messages, message replies and report reasons now use multiline input forms.

V5.93.2B
- Fixed ambient sounds so client environment sources start again while parsing maps or ship interiors, while keeping later updates and ship-power pausing intact.
- Ticket notifications now play their specific client sounds for received, replied, resolved and closed events, including pending notifications delivered on login.
- Indonesian language chat selection now stays on the Indonesian channel instead of being clamped to Hindi by the server.
- Online official and unofficial language menus are now sorted alphabetically.
- The default language now follows the online download flow and loads `default.lng` from the server with the game's source text.

V5.91.10B
- Added the F8 settings menu.
- Added the online language system, with real-time language downloads from the server instead of relying on offline language files bundled with the client.
- The client now downloads the proper online language automatically on first launch when the `user` folder does not exist.
- Removed offline language bundling from the client: the game no longer embeds `lang.dat` or loads translations from the old `lang/` folder.
- Online language files are now transferred in small chunks through a dedicated reliable channel, avoiding large transfer freezes during login or language sync.
- The client now waits until the map has loaded before requesting the initial online language sync, reducing login stalls.
- Online language updates can now be reloaded in memory without restarting the game.
- Added the `Languages` option to the online menu with Alt+O.
- Official languages now appear directly in the language menu, while unofficial languages remain grouped in their own submenu.
- Admins and developers can now mark online languages as official or unofficial.
- Online language creation now prevents overwriting an existing language ID.
- Online language collaborators are now validated, saved, listed and removed more reliably.
- Online language editor notifications were improved, including notifications for the person who saves or publishes.
- Improved missing English translations for planetary survey, stellar energy collection, support items, ship status, Spire rooms, zones, flags, mission text and several newer menus.
- Fixed several translation placeholder issues where `%1`, `%2` or other raw placeholders could be spoken instead of the intended names or values.
- Fixed English translation of focused buffer message replies for general chat, local chat, PA and private messages.
- Added the Alt+B bank menu, including balance summary, deposits, player transfers and loans.
- Closing the bank session now speaks a goodbye message.
- Deposits and received credits now report loan repayment with a single clear message, including a special confirmation when the full debt is paid.
- Mission, PVP, planetary survey, received bank transfer and cargo transfer credit gains now repay loan debt before increasing available credits.
- Player credits now support much larger values.
- Fixed the admin command for giving credits to all online players so it accepts values above 1 billion.
- Added the Alt+O Support submenu with tickets, bug reports and suggestions.
- Tickets, bug reports and suggestions can now be created, listed and replied to from in-game forms with history.
- Tickets now separate the resolved and closed states.
- Admins and developers can view all players' support items, update states and receive notifications about new or updated items.
- Support listings are now processed more safely to avoid heavy reads freezing the server.
- Removed the old Alt+B bug report shortcut; bug reports now live under Support.
- Fixed ticket, bug and suggestion detail views so they show their ID, title, author, state, description and history instead of placeholders.
- Added the planetary survey system.
- Planets now have size, atmosphere, mineral composition, temperature, life-form estimates, habitability and survey state.
- Planetary surveys can now reward credits based on planet size and the quality/completeness of the readings.
- Surveyed planets are marked so the same survey cannot be repeated.
- Habitable planets are preserved by sector cleanup for future use.
- Added ship upgrade store entries for Planetary Survey and Stellar Energy Collector.
- Planetary survey now requires the proper ship upgrade.
- Entering a star to collect stellar energy now requires the Stellar Energy Collector upgrade.
- Planetary survey now uses the quick bridge interaction with Enter.
- Planetary survey readings are now queued with one-second intervals, keeping the game responsive during scans.
- Added a ship rename option in the upgrade store for 500000 credits.
- Added complete ship status in the bridge menu, including hull, shields, battery, cargo, upgrades, weapons and current states.
- Fixed ship power toggling so the power-on/off wait belongs only to the active ship instead of being inherited by another ship.
- Fixed persistence for ship upgrades, renames, hatch state, authorizations, energy, repair, autopilot, mission, mining, salvaging, cargo transfer and PVP states.
- Fixed ship state saving so recent changes are not lost when another save is already pending.
- The F6 player list now supports Ctrl+C to copy the selected player name and Ctrl+P to open a private message input directly.
- Improved the Builder's integrated ship editing flow so editing uses the normal game layer with voice, shortcuts, interaction and general actions preserved.
- Reconnecting inside a Builder ship edit now restores the integrated editor correctly.
- Builder ship edits now update the local map immediately so removals and changes are visible in real time to the editor.
- Players editing the same internal ship map in Builder now share local chat, local voice, footsteps, location and follow/chase context.
- Disconnecting during ship editing now preserves the edit context and restores the correct internal ship map when reconnecting.
- G, P and Shift+P now work directly during integrated Builder editing.
- Saved ships now reapply the current catalog template when loaded while preserving individual data such as position, owner, current state, upgrades, cargo, permissions and destinations.
- Added account settings under Alt+O, including changing your character name, changing email with password and resetting password.
- The first character name change is now free; later name changes cost 6000000 credits.
- Added tracking settings to the client settings menu, including ship focus behavior and autowalk mode for tracked zones.
- Zone tracking now stops when you enter the tracked zone, not only when you reach the center tile.
- Added ship tracking focus settings so Enter can either confirm the selected ship or automatically focus it in the menu.
- Added ship tracking shortcuts by type and filter: apostrophe/semicolon change target, Alt changes type, Ctrl changes filter and Shift jumps to the start/end.
- Ship tracking now warns when the target is lost due to movement and tries to switch to the nearest ship.
- The Shift+T ship tracking menu now groups ships by owner before building the final list, reducing freezes around stations with many ships.
- Added Ctrl+Alt plus the targeting key in combat mode to cancel specific enemy targeting and return to server automatic targeting.
- Combat targeting shortcuts were adjusted: Alt changes enemy ship type, Ctrl changes target condition and the normal shortcut targets filtered enemies.
- Ship shots now validate selected weapon range before firing at a specific target, PvP target or automatic target.
- Enemy ship targeting now falls back to all ship types when the last ship of the selected type leaves the sector.
- The client now sends its version during login and shows an update dialog when the server reports an incompatible version.
- The client updater now uses the game executable itself as a temporary update helper instead of downloading and running `updater.exe`.
- Autopilot and target navigation are now blocked inside mission instances.
- Autopilot no longer blocks normal pilot-mode actions such as G, P, Enter and buffer shortcuts while navigation continues.
- Pilot mode with autopilot active now keeps buffer shortcuts responding.
- Fixed a ship state issue where ships could remain marked as charging after the battery completed, blocking takeoff and hiding the stop-charging action.
- The bridge menu now always shows `Stop charging` when the ship is in charging state.
- Added Indonesian to the F5 language chat menu, with support for language-specific name display, logs, MOTD and notifications.
- Adjusted ambience and combat percentage volume sliders to use a more proportional audio curve while keeping saved 0-100 settings compatible.

V5.71.1B
- Continued improving and fixing internal builder systems.

V5.70.0B
- This update includes major behind-the-scenes improvements focused on reducing lag, improving synchronization and making the overall gameplay experience smoother and more responsive.
- Added new admin ship creation options to set starting Stellar energy, minerals, and debris.
- Players now only see ships they own, ships they were authorized to access, or ships with unlocked airlocks. Admins and developers still see all ships.
- Added missing English language entries for zones and map/interior ship flags.

V5.69.4B
- Voice chat audio is now much smoother and more stable, especially during positional/local conversations.
- Improved voice transmission performance to reduce audio glitches, crackling and sudden lag spikes during voice chat.
- Voice packets are now handled more efficiently, helping reduce unnecessary network load and improving overall ping stability while people are talking.

V5.69.1B
- Fixed translated PVP direction notices so mixed phrases like "norte of Gerion Station" are no longer spoken.
- Added missing English language entries.
- Admin and builder issues are now fixed.

V5.67.0B
- Separated sector radar navigation (`Shift+D`) from saved autopilot destination travel.
- Server-side radar navigation now accepts planets/stations as valid targets, including Gerion Station in the origin sector.
- Moved autopilot movement authority to the server so the client only starts, stops, or manually interrupts routes.
- Fixed ship movement audio, I hope!
- Autopilot now keeps moving and updating its movement audio while menus or text input are open.

V5.66.1B
Added ship battery charging controls to the bridge menu while docked.
You can now manually start or stop battery charging directly from the bridge menu.
Automatic charging at stations and planets now only starts when the battery is below 20%.
New charging notifications were added for charging started, charging complete and charging interrupted.
Added the new Navigation Computer and Auto Pilot ship upgrades.
Ships equipped with Auto Pilot can now save destinations and travel automatically between sectors.
The new Autopilot menu can be accessed from the bridge menu.
Players can save the current landed station or planet and later select it as an automatic destination.
Autopilot navigation now travels progressively through space using acceleration and deceleration instead of instant movement.
Shift+D radar can now inspect objects and positions even without a Navigation Computer installed.
The Navigation Computer is only required when pressing Enter to start navigation toward an object.
Added a new Mission submenu to the bridge menu.
Players inside mission instances can now abort missions directly from the bridge.
Fixed ‘Route origin unknown’ after launching with PVP enabled.
Players are now notified when staff add or remove credits from their account.
The notification also displays the updated credit balance.
Alt+P on the bridge now announces the players currently aboard the ship and their locations.
If you are alone aboard the ship, the game now announces it correctly.
Bridge radio `R` shortcuts no longer start bridge radio push-to-talk or leak into local voice when the bridge radio is off or the ship is powered down.
Fixed an issue where local tracking could remain attached to a previous ship after leaving it or changing maps.
Added new F5 language chat channels:
Dutch, Polish, Russian, Turkish, Ukrainian, Chinese, Japanese, Korean, Arabic and Hindi.
Alt+V now opens the voice chat speaking players list.
While selecting a player in the list, Left and Right Arrow keys can now decrease or increase that player's voice volume individually.
Home and End now adjust the selected sound category volume.
Alt+Home and Alt+End switch between the available sound categories:
Global, Ambience and Combat.
Cargo transfer was improved.
Transfer Cargo now opens a submenu allowing you to transfer only debris, minerals, stellar energy or all cargo at once.
The online menu shortcut was changed from Alt+M to Alt+O.
While pilot mode is on, you can turn shields on or off pressing s and shift+s respectively.

V5.56.5B
Repair drone upgrade messages now translate correctly in English.
The mandatory rules screen no longer disconnects players.
Added the English translation for the map change system message.
Slash-prefixed chat text is now treated only as a command and no longer falls through to general chat when unknown.
Added social blocking, temporary/permanent communication restrictions, temporary/permanent bans with reasons, and basic anti-spam protection.
The tracking system now plays a sound while active.
Major server-side improvements and internal updates.

V5.51.5B
Adjusted bridge shortcuts: with pilot mode active, `B` reports the light-year distance and `C` reports the ship coordinates in the sector; with pilot mode inactive, `B` reports the normal location again.
The server now blocks firing while the ship is cloaked and informs the player.
Added missing `en.lng` translations, including zones from ships`, Builder text, and the cloaked firing message.
PVP/black alert is now blocked within 20 sectors of the ship's origin sector.
The server also prevents PVP target selection and PVP projectile hits when either the attacking or target ship is inside that protected zone.

V5.51.1B
- Added a mandatory rules acceptance system during login.
- Rules now automatically load in the player's language, with English used as a fallback when a translation is unavailable.
- Reworked the integrated Builder system with improved editing workflow and publishing behavior.
- Stargate missions now use a configurable mission catalog with customizable rewards and enemy ship types.
- Mission setup now supports selecting enemy ship types and quantities more easily.
- The ship shop now lists ships from the cheapest to the most expensive.
- Added a Top 20 kills ranking to the online menu.
- Reworked ship PVP alert behavior with new combat states and criminal penalties.
- Destroying outlaw ships now grants increased rewards.
- Added global notifications for staff role changes.
- Engineering and upgrade menus now show repair speed in units per second.
- Improved chat history and private message logging.
- Fixed positional weapon audio for players inside ships.
- Added ship-versus-ship combat and PVP rewards.
- Added repair drone upgrades for ships, with scalable repair speed and upgrade costs.
- Cargo transfers now pay updated resource values.
- Improved ship weapon audio positioning for players inside the same ship.
- Upgrade menus now refresh automatically after purchases.
- Improved engineering room behavior when a ship is powered off.
- Improved ping handling to avoid duplicate requests.
- Improved ship airlock interaction reliability.
- Main menu music volume is now saved between sessions.
- Improved overall Builder usability and menu behavior.
- Added additional server diagnostics and stability improvements.
- Improved login recovery when a player's saved ship cannot be found.
- Improved sector save performance and reduced synchronous disk operations.

V5.40.0B
Added ship upgrade stations in Gerion.
Mining and salvaging upgrades now have up to 6 levels.
Mining and salvaging upgrades now increase the amount collected per cycle and reduce the cycle time by 0.5 seconds per level.
Added star energy charging upgrades, allowing collected star energy to be converted into ship battery power.
The V key now controls only local voice outside bridge radio usage.
Bridge radio transmissions still broadcast local voice around nearby players.
Bridge radio now supports Ctrl+R to toggle power, Shift+R for continuous transmission mode and Alt+R to select radio channels from 1 to 99.
Bridge radio transmissions are now restricted to players using the same radio channel.
Interceptor ships can now prevent players from leaving sector borders.
Ship templates now support max weapon power and per-weapon damage scaling.
Ship weapon damage is now calculated based on weapon power percentages.
Pressing weapon number keys now announces only the weapon name.
Shift + weapon number now announces weapon damage values.
Player ships now properly explode and are destroyed when hull integrity reaches zero.
Ship destruction now plays randomized YouDestroyed sounds, including destruction caused by stars.
Shield shutdown sounds now also trigger correctly when shields collapse from enemy damage updates.
Added separate ship_store support for ship dealerships, independent from normal item stores.
Ship purchases now require ship_store locations.
Gerion now includes a dedicated ship store location.
Administrators can now include optional custom messages before restarting or shutting down the server.
Improved sector cache persistence and cleanup handling.
The server now preserves nearby active sectors more reliably and prevents old sector caches from returning after crashes or incomplete saves.
Maps now support dockingplatform, store and upgrade_store ship flags.
Docking and ship purchase systems now use these new map flags.
The builder now supports creating these flags directly in maps.
New items added through the builder now start with empty coordinate fields instead of default values.
The builder now supports Shift+E to edit existing map items without recreating them.
Pressing Escape during coordinate entry now cancels the entire editing flow correctly.
Ship and template edits are now automatically saved as drafts for builders and admins.
Ctrl+S now publishes finalized ships and templates for players.
The integrated builder now uses the same virtualizer and network systems as the main GO client.
Map editing now updates in real time while connected to the server.
Players can now see when a builder is actively editing a map or ship.
Interior maps now support vertical movement using Page Up and Page Down when platforms are available.
Engineering menus now correctly synchronize hull and damage information from ship status updates.
Engineering menus now display hull integrity and damage percentages instead of absolute values.

V5.32.1B
Added more strings to translation.

V5.32.0B
Builders can now open the map builder directly inside the client with F9, using the game's sound package and loading/saving maps through the server.
Ship templates can now be marked as admin-exclusive and hidden from the regular ship shop.
Administrative ship creation for players now uses the same delivery system as the ship shop, placing ships at the current map dock.
Improved server-side protections against invalid network packets, incomplete map data and corrupted persistence states to help reduce crashes.

V5.31.1B
The server MOTD is now stored separately in motd.txt, with automatic migration from the legacy format.
Enemy carrier and reinforcement_caller ships now only summon reinforcements when player ships are present in the sector, with longer cooldown intervals.
Player ships are now stored separately from the main world state data.
Improved world state saving reliability with automatic validation, backup recovery and safer save handling.
The server now performs additional validation checks to prevent unintended ship loss during save operations.
Older pending world state snapshots are now discarded when newer save generations are available.

V5.31.0B
Sector radar now announces the position of the focused item in the list, such as 1 of 3.
F2 now requests the game process uptime from the server and announces how long it has been running.
Added the Speech interrupt option.

V5.30.3B
Damage messages that report Current hull now also synchronize the local ship hull state to keep the engineering menu updated.
Ship repair drones now play a randomized sound during each repair cycle.
Explored star names are now properly normalized in the English translation.

V5.30.2B
Added English translation support for map-name teleport messages.

V5.30.1B
Changed the English translation from Scavenge debris to Salvage debris.

V5.30.0B
Shift+Z can now also list and track zones inside ship interior maps.
Enemy ship hit messages in English now properly cover both shield and hull damage variations.
Rooms flagged as weapon_room can now enable combat mode, select weapons, and fire them, with server-side validation included.
Rooms flagged as engineering or repair now open an engineering menu with Enter, display hull damage status, and can launch repair drones that restore 3 points per second.
The synchronized ship state now includes current and maximum hull values for damage-dependent internal menus.

V5.29.0B
- Added the `/r` command to quickly reply to the last private message received.
- English mission messages now properly translate mission names and Stargate/takeoff notifications.
- Fixed mission state cleanup after mission completion, preventing incorrect abort options from appearing.
- Improved automatic sector cleanup to better preserve player ships.
- The client now automatically attempts to reconnect every 10 seconds after a disconnect until Escape is pressed.

V5.26.1B
Ship cargo transfer time has been multiplied by 10, while keeping the timing proportional per unit 
Added String to translate docking platform properly.

V5.26.0B
Landed ships can now transfer cargo at docks and landing pads through the bridge menu.
Cargo transfers now process ores, scrap and stellar energy in separate stages, with transfer time depending on the amount being moved.
Cargo rewards are now paid automatically at the end of each transfer stage.
Opening menus now properly stops ship movement and acceleration sounds.
Ship slowdown sounds are now played correctly for other occupants after movement ends.
Fixed follower repositioning issues when the followed player had not actually moved.
Relative distance checks can now correctly report 0 steps when players are standing in the same position.

V5.25.2B
Translation fixes.
new translation strings added.

V5.25.0B
Internal ship maps now support shipflag:minx:maxx:miny:maxy:minz:maxz:flags lines, allowing areas such as bridge, airlock, weapon_room, engineering, and repair to be flagged without relying on the zone's visible name.

V5.23.0B
The staff members menu now opens separate developer, administrator and builder categories with their own descriptions and member submenus.
Builders now appear in the staff members list alongside developers and administrators.
The English translation of the menu now uses "Staff members" instead of "team list".

V5.22.3B
Fixed some translation errors.

V5.22.2B
Small fixes to the client and updater.

V5.22.0B
The client now automatically downloads updated READMEs and changelogs alongside game updates.
New administrative menu for managing offline players.

V5.21.4B
The password recovery flow has been reorganized into clearer steps.
Improvements to password reset and token validation.

V5.21.3B
The password recovery form now remains open after submitting the token.

V5.21.2B
Online password reset now asks for confirmation of the old password before changing it.

V5.21.1B
Recovery tokens now have expiration time and protection against multiple consecutive requests.

V5.21.0B
Email-based password recovery system added.
New password reset option inside the online menu.
Improvements to the bug reporting system.

V5.20.3B
Space combat received general audio and synchronization improvements.
Projectiles now have real travel time to targets.
Enemy ships now move more naturally.
Shields now absorb damage before the hull.
Shield recharge system implemented.
Improvements to instanced missions.
Fixes and improvements to 3D combat sounds.

V5.19B
Bridge weapon cooldown adjusted by weapon type.

V5.18B
Fixes to client startup and update flow.

V5.17B
New handshake system implemented to improve connection security.

V5.16B
Game network communication now uses encrypted packet encapsulation.

V5.15B
Sounds reorganized into new categories.
Improvements to the airlock system.
READMEs rewritten in Portuguese and English.
Bridge menu fixes.
Expanded cloaking system.
Map and Ship Builder
New official tool for creating and editing maps, interiors, and ship templates.
Builder now supports both local and remote editing.
3D preview for environments and sounds.
Full support for platforms, zones, walls, travel points, and environments.
Custom updater system implemented.
Support for ship template editing.
Remote builder integrated with the server.
Airlock Control and Authorization
Players can now lock and unlock airlocks.
Ship access authorization system implemented.
Airlocks now start locked by default.
Authorized players can access locked ships.

V5.10A and earlier
The Galactic Outlands project was started.